## org.eclipse.emf.cdo.server.db.mapping
Interface IClassMappingAuditSupport

    public interface IClassMappingAuditSupport

Interface which complements `IClassMapping` with methods to facilitate audit support.

Since:
  2.0
See Also:
  `IMappingStrategy#hasAuditSupport()`

Method Summary
`boolean` `readRevisionByTime(IDBStoreAccessor dbStoreAccessor, InternalCDORevision revision, long timeStamp, int listChunk)` Read a specific past version of a revision.
`boolean` `readRevisionByVersion(IDBStoreAccessor dbStoreAccessor, InternalCDORevision revision, int version, int listChunk)` Read a specific version of a revision.

Method Detail

### readRevisionByVersion

    boolean readRevisionByVersion(IDBStoreAccessor dbStoreAccessor,
                                  InternalCDORevision revision,
                                  int version,
                                  int listChunk)

  Read a specific version of a revision. If this method returns `true` it is guaranteed that `revision.getVersion() == version`

  Parameters:
    `dbStoreAccessor` - the accessor to use.
    `revision` - the revision object into which the data should be read. The revision has to be have its ID set to the requested object's ID. The version is ignored, as the version parameter is used to determine the version to be read.
    `version` - the version which should be read.
    `listChunk` - the chunk size to read attribute lists.
  Returns:
    `true`, if the revision has been found and read correctly. `false` if the revision could not be found. In this case, the content of `revision` is undefined.

### readRevisionByTime

    boolean readRevisionByTime(IDBStoreAccessor dbStoreAccessor,
                               InternalCDORevision revision,
                               long timeStamp,
                               int listChunk)

  Read a specific past version of a revision. If this method returns `true` it is guaranteed that `revision.getCreated() <= timeStamp && (getRevised() == 0 || getRevised() >= timeStamp))`

  Parameters:
    `dbStoreAccessor` - the accessor to use.
    `revision` - the revision object into which the data should be read. The revision has to be have its ID set to the requested object's ID. The version is ignored, as the version parameter is used to determine the version to be read.
    `timeStamp` - the timeStamp which should be used to determine the revision's version.
    `listChunk` - the chunk size to read attribute lists.
  Returns:
    `true`, if the revision has been found and read correctly. `false` if the revision could not be found. In this case, the content of `revision` is undefined.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.